# Events ## Send event to instance **post** `/accounts/{account_id}/workflows/{workflow_name}/instances/{instance_id}/events/{event_type}` Sends an event to a running workflow instance to trigger state transitions. ### Path Parameters - `account_id: string` - `workflow_name: string` - `instance_id: string` - `event_type: string` ### Body Parameters - `body: optional unknown` ### Returns - `errors: array of { code, message }` - `code: number` - `message: string` - `messages: array of { code, message }` - `code: number` - `message: string` - `success: true` - `true` - `result: optional unknown` - `result_info: optional { count, per_page, total_count, 2 more }` - `count: number` - `per_page: number` - `total_count: number` - `cursor: optional string` - `page: optional number` ### Example ```http curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/workflows/$WORKFLOW_NAME/instances/$INSTANCE_ID/events/$EVENT_TYPE \ -X POST \ -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" ``` #### Response ```json { "errors": [ { "code": 0, "message": "message" } ], "messages": [ { "code": 0, "message": "message" } ], "success": true, "result": {}, "result_info": { "count": 0, "per_page": 0, "total_count": 0, "cursor": "cursor", "page": 0 } } ``` ## Domain Types ### Event Create Response - `EventCreateResponse = unknown`